cad

Extrude a concave, complex polygon in PyVista

Extrude a concave, complex polygon in PyVista Question: I wish to take a concave and complex (containing holes) polygon and extrude it ‘vertically’ into a polyhedron, purely for visualisation. I begin with a shapely Polygon, like below: poly = Polygon( [(0,0), (10,0), (10,10), (5,8), (0,10), (1,7), (0,5), (1,3)], holes=[ [(2,2),(4,2),(4,4),(2,4)], [(6,6), (7,6), (6.5,6.5), (7,7), (6,7), …

Total answers: 1

how to iteratively loft wires in cadquery?

how to iteratively loft wires in cadquery? Question: I can loft a 2D shape from one plane to another like this: import cadquery as cq from jupyter_cadquery.cadquery import show result = cq.Workplane(“XY”).rect(1,2).workplane() .transformed(offset=cq.Vector(0, -0.5, 1.0),rotate=cq.Vector(10, 0, 0)) .rect(1,2).loft(combine=True) show(result) I would like to repeat the operation several times like this: import cadquery as cq from …

Total answers: 1

Python module for parametric CAD

Python module for parametric CAD Question: I am looking for a CAD module for python. This is what i’ve found, correct me if I’m wrong: PythonCAD: file types: DWG,DXF,SVG oriented: click in a window last maintained: 2012-06-15 documented: poor and dirty PythonOCC: file types: STEP, IGES, STL (import/export) oriented: scripts last maintained: 2013-01-12 documented: good …

Total answers: 5